From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gentoo-mirrorstats:master commit in: /
Date: Wed, 29 Apr 2020 06:39:25 +0000 (UTC) [thread overview]
Message-ID: <1588142358.8f37aa42f6bef7baf73a4ecc0bc2caafd4e7e546.robbat2@gentoo> (raw)
commit: 8f37aa42f6bef7baf73a4ecc0bc2caafd4e7e546
Author: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 29 06:39:18 2020 +0000
Commit: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Wed Apr 29 06:39:18 2020 +0000
URL: https://gitweb.gentoo.org/proj/gentoo-mirrorstats.git/commit/?id=8f37aa42
wrapper: ensure locking
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
mirmon-wrapper.sh | 3 +++
1 file changed, 3 insertions(+)
diff --git a/mirmon-wrapper.sh b/mirmon-wrapper.sh
index 4c5570b..4fffee0 100755
--- a/mirmon-wrapper.sh
+++ b/mirmon-wrapper.sh
@@ -33,6 +33,8 @@ main() {
CONFFILE=$(readlink -f "${CONFDIR}"/mirmon.conf)
VAR_GMIRRORS=${VARDIR}/g.mirrors
EXTRA_MIRRORS=${CONFDIR}/g.mirrors.extra
+ # Lock outselves
+ [ "${FLOCKER}" != "$0" ] && exec env FLOCKER="$0" flock -en "${VARDIR}/flock" "$0" "${OPTS[@]}" || :
# Grab mirrors from the web
mkdir -p "${VARDIR}" "${HTDOCS}" || die "Failed to mkdir"
@@ -148,4 +150,5 @@ done
[[ $INVALID -eq 1 ]] && usage
[[ $HELP -eq 1 ]] && dohelp
+OPTS=( ${opts} ) # for flock
main
next reply other threads:[~2020-04-29 6:39 UTC|newest]
Thread overview: 42+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-04-29 6:39 Robin H. Johnson [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-03-22 17:44 [gentoo-commits] proj/gentoo-mirrorstats:master commit in: / Robin H. Johnson
2023-03-22 16:29 Robin H. Johnson
2023-03-22 16:29 Robin H. Johnson
2020-05-01 17:59 Robin H. Johnson
2020-04-30 22:59 Robin H. Johnson
2020-04-30 22:56 Robin H. Johnson
2020-04-30 22:56 Robin H. Johnson
2020-04-30 22:52 Robin H. Johnson
2020-04-30 22:17 Robin H. Johnson
2020-04-30 21:27 Robin H. Johnson
2020-04-30 21:27 Robin H. Johnson
2020-04-30 21:11 Robin H. Johnson
2020-04-30 20:29 Robin H. Johnson
2020-04-30 6:31 Robin H. Johnson
2020-04-30 6:02 Robin H. Johnson
2020-04-29 6:45 Robin H. Johnson
2020-04-29 5:48 Robin H. Johnson
2020-04-29 5:41 Robin H. Johnson
2020-04-29 5:33 Robin H. Johnson
2020-04-29 5:20 Robin H. Johnson
2020-04-29 5:20 Robin H. Johnson
2020-04-29 5:20 Robin H. Johnson
2020-04-28 23:21 Robin H. Johnson
2020-04-28 23:21 Robin H. Johnson
2020-04-28 17:42 Robin H. Johnson
2020-04-28 17:34 Robin H. Johnson
2020-04-28 16:46 Robin H. Johnson
2020-04-28 7:54 Robin H. Johnson
2018-12-15 18:57 Alec Warner
2016-11-05 18:02 Robin H. Johnson
2014-02-12 3:44 Jeremy Olexa
2013-08-28 2:28 Alec Warner
2013-08-27 9:08 Alec Warner
2012-12-25 17:22 Jeremy Olexa
2012-12-22 10:46 Jeremy Olexa
2012-09-18 16:17 Jeremy Olexa
2012-06-20 21:05 Jeremy Olexa
2012-02-24 18:45 Jeremy Olexa
2011-06-02 13:48 Jeremy Olexa
2011-05-19 15:09 Jeremy Olexa
2011-05-19 15:09 Jeremy Olexa
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1588142358.8f37aa42f6bef7baf73a4ecc0bc2caafd4e7e546.robbat2@gentoo \
--to=robbat2@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox